#!/bin/sh
# Copyright (c) 2000-2015 Synology Inc. All rights reserved.

PACKAGE_NAME="SafeAccess"
PACKAGE_TARGET_DIR="/var/packages/${PACKAGE_NAME}/target"
DNSFILTER_IPTABLES_SH="${PACKAGE_TARGET_DIR}/scripts/dnsfilter-iptables.sh"


#
# Restart the URL blocker (or DNS filter) to adapt new network topology.
#
url_blocker_post()
{
	${DNSFILTER_IPTABLES_SH} restart
}

case $1 in
	--sdk-mod-ver)
		# Print SDK support version
		echo "1.0";
	;;
	--name)
		# Print package name
		echo "url-blocker"
	;;
	--pkg-ver)
		# Print package version
		echo "1.0";
	;;
	--vendor)
		# Print package vendor
		echo "Synology";
	;;
	--pre)
		# Before changing netowrk topology
	;;
	--post)
		# After changing netowrk topology
		url_blocker_post
	;;
	*)
		echo "Usage: $0 --sdk-mod-ver|--name|--pkg-ver|--vendor|--pre|--post"
	;;
esac
